aboutsummaryrefslogtreecommitdiff
path: root/src/clean.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2015-08-05 13:39:07 -0400
committerRuss Cox <rsc@golang.org>2015-08-05 19:36:15 +0000
commit0290d51b4ada1615853b2dc368902b2a310392f3 (patch)
tree05a63d2976486c9182344415e58db73158ddfb28 /src/clean.bash
parent26049f6f9171d1190f3bbe05ec304845cfe6399f (diff)
downloadgo-0290d51b4ada1615853b2dc368902b2a310392f3.tar.gz
go-0290d51b4ada1615853b2dc368902b2a310392f3.zip
build: clean current tree in clean.bash
Otherwise clean.bash cleans $GOROOT, which might be something else entirely. Fixes #12003. Change-Id: I2ad5369017dde6db25f0c0514bc27c33d0a8bf54 Reviewed-on: https://go-review.googlesource.com/13251 Reviewed-by: David Crawshaw <crawshaw@golang.org>
Diffstat (limited to 'src/clean.bash')
-rwxr-xr-xsrc/clean.bash17
1 files changed, 11 insertions, 6 deletions
diff --git a/src/clean.bash b/src/clean.bash
index 8c23e010e8..39fe36d46d 100755
--- a/src/clean.bash
+++ b/src/clean.bash
@@ -5,13 +5,18 @@
set -e
-eval $(go tool dist env)
+if [ ! -f run.bash ]; then
+ echo 'clean.bash must be run from $GOROOT/src' 1>&2
+ exit 1
+fi
+export GOROOT="$(cd .. && pwd)"
-if [ ! -x $GOTOOLDIR/dist ]; then
- echo 'cannot find $GOTOOLDIR/dist; nothing to clean' >&2
+gobin="${GOBIN:-../bin}"
+if ! "$gobin"/go help >/dev/null 2>&1; then
+ echo 'cannot find go command; nothing to clean' >&2
exit 1
fi
-"$GOBIN/go" clean -i std
-"$GOBIN/go" tool dist clean
-"$GOBIN/go" clean -i cmd
+"$gobin/go" clean -i std
+"$gobin/go" tool dist clean
+"$gobin/go" clean -i cmd